import React, { forwardRef } from 'react';
import PropTypes from 'prop-types';
import MUIMenuItem from '@material-ui/core/MenuItem';

// eslint-disable-next-line react/display-name
const MenuItem = forwardRef((props, ref) => {
    const {
        onClick,
        selected,
        text,
    } = props;

    return (
        <MUIMenuItem
            ref={ ref }
            selected={ selected }
            onClick={ onClick }>
            { text }
        </MUIMenuItem>
    );
});

MenuItem.propTypes = {
    onClick: PropTypes.func.isRequired,
    selected: PropTypes.bool,
    text: PropTypes.string.isRequired,
};

export default MenuItem;
